# framework::get-runtime-engine

[This is preliminary documentation and subject to change.]

Gets the runtime engine of the specified framework.

### Usage

`string framework::get-runtime-engine(framework)`

### Parameters

Name | Type | Description
--- | --- | ---
framework | string | The framework of which the runtime engine should be returned.

### Return Value

The full path to the runtime engine of the specified framework, or an empty String if no runtime engine is defined for the specified framework.

### Exceptions

The function will fail in any of the following circumstances:

- framework is not a valid framework identifier.

### Requirements

Assembly: NAnt.Core (0.85.1932.0)

### See Also

framework::get-runtime-framework() | framework::get-target-framework()